
Redmine - Feature #14816

Diff: in repository/diff - Include Links to repository/changes and repository/revisions

2013-09-02 16:44 - Friedrich Schiller

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently diff view does not allow quick links to versions: example

Suggestion:

Links for quick navigation (in Diff view).

Instead of showing

Revision 333:514 trunk/app/controllers/account_controller.rb

 show this:

Revision 333 :514 root /trunk /app /controllers /account_controller.rb

  diff_nav_current_version.PNG 

Related issues:

Related to Redmine - Feature #14818: Diff and Repository Navigation: include ... New

Related to Redmine - Feature #9807: Add link in diff view to point to revision Closed

History

#1 - 2013-09-10 05:20 - Toshi MARUYAMA

- Category set to SCM

#2 - 2013-09-10 05:21 - Toshi MARUYAMA

- Related to Feature #14818: Diff and Repository Navigation: include navigation when inside diffs (prev difference, next difference), etc. added

#3 - 2013-09-17 14:13 - Friedrich Schiller

This is related to Feature #9807

#4 - 2013-09-25 09:43 - Toshi MARUYAMA

- Related to Feature #9807: Add link in diff view to point to revision added

Files

diff_nav_current_version.PNG 19.6 KB 2013-09-02 Friedrich Schiller

Powered by TCPDF (www.tcpdf.org)

2025-05-09 1/1

http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=514&rev_to=333
http://www.redmine.org/projects/redmine/repository/revisions/333/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/514/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository?utf8=%E2%9C%93&rev=
http://www.redmine.org/projects/redmine/repository/show/trunk
http://www.redmine.org/projects/redmine/repository/show/trunk/app
http://www.redmine.org/projects/redmine/repository/show/trunk/app/controllers
http://www.redmine.org/projects/redmine/repository/changes/trunk/app/controllers/account_controller.rb
https://www.redmine.org/issues/9807
http://www.tcpdf.org

